0

I am unable to download the pam-devel, zlib-devel and openssl-devel packages on a Red Hat Enterprise Linux Server release 7.4 (Maipo).

When executing

yum install pam-devel

I am getting the following error:

error: No package pam-devel available.

error: Nothing to do

While running

yum repolist all

the following content is being displayed: Output

I am not able to enable the repositories running

yum-config-manager --enable epel-source/x86_64.

Output

Why are the packages not available and what I can do to get them?

6

EPEL is an add-on repository. The pam-devel, zlib-devel and openssl-devel packages would all be part of the main RHEL distribution, and so EPEL would have no reason to include them.

In the beginning of your yum repolist all output, there is this message:

This system is not registered with an entitlement server. You can use subscription-manager to register.

Accessing the main RHEL repositories on the internet requires registering the system with RedHat and paying for support subscription. Once the system is registered, a plugin included in RHEL's yum will automatically give you access to the RHEL repositories.

1
  • I agree with this answer, I just wanted to add: you said you’re running 7.4. Expect to get a lot of updates to your system once you’ve registered a subscription. You are extremely out of date. If you’ve never updated since the initial 7.4 install, you are missing many security updates as well. – jsbillings Jul 31 '19 at 20:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.